Compatibility between Thesis Theme and PopOver plugin

I tried installed the Pop Up! plugin this evening on one of my sites (http://mbaprepschool.com) which is running the Thesis Theme (version 1.8.5). Unfortunately it didn't work, so I then ran the diagnostic add-on tool which returned the sample error message/warning as you show on your screen shot on this page: https://premium.wpmudev.org/project/the-pop-over-plugin/

Any suggestions on how to make this work with the Thesis Theme?

Thanks, Chris